_Init_TFT:
;MSGEQ7_Test.mbas,77 :: 		sub program Init_TFT()
ADDIU	SP, SP, -32
SW	RA, 0(SP)
;MSGEQ7_Test.mbas,79 :: 		TFT_Set_Default_Mode()
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
JAL	_TFT_Set_Default_Mode+0
NOP	
;MSGEQ7_Test.mbas,80 :: 		TFT_Init(320,240)
ORI	R26, R0, 240
ORI	R25, R0, 320
JAL	_TFT_Init+0
NOP	
;MSGEQ7_Test.mbas,81 :: 		TFT_Fill_Screen(CL_BLUE)
ORI	R25, R0, 31
JAL	_TFT_Fill_Screen+0
NOP	
;MSGEQ7_Test.mbas,82 :: 		TFT_Set_Font(@TFT_DefaultFont, CL_BLACK, FO_Horizontal)
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, #hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, #lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
;MSGEQ7_Test.mbas,83 :: 		TFT_Write_Text("Left Channel",121,5)
ADDIU	R3, SP, 16
ORI	R2, R0, 76
SB	R2, 0(R3)
ORI	R2, R0, 101
SB	R2, 1(R3)
ORI	R2, R0, 102
SB	R2, 2(R3)
ORI	R2, R0, 116
SB	R2, 3(R3)
ORI	R2, R0, 32
SB	R2, 4(R3)
ORI	R2, R0, 67
SB	R2, 5(R3)
ORI	R2, R0, 104
SB	R2, 6(R3)
ORI	R2, R0, 97
SB	R2, 7(R3)
ORI	R2, R0, 110
SB	R2, 8(R3)
ORI	R2, R0, 110
SB	R2, 9(R3)
ORI	R2, R0, 101
SB	R2, 10(R3)
ORI	R2, R0, 108
SB	R2, 11(R3)
SB	R0, 12(R3)
ADDIU	R2, SP, 16
ORI	R27, R0, 5
ORI	R26, R0, 121
MOVZ	R25, R2, R0
JAL	_TFT_Write_Text+0
NOP	
;MSGEQ7_Test.mbas,84 :: 		TFT_Write_Text("Right Channel",118,125)
ADDIU	R3, SP, 16
ORI	R2, R0, 82
SB	R2, 0(R3)
ORI	R2, R0, 105
SB	R2, 1(R3)
ORI	R2, R0, 103
SB	R2, 2(R3)
ORI	R2, R0, 104
SB	R2, 3(R3)
ORI	R2, R0, 116
SB	R2, 4(R3)
ORI	R2, R0, 32
SB	R2, 5(R3)
ORI	R2, R0, 67
SB	R2, 6(R3)
ORI	R2, R0, 104
SB	R2, 7(R3)
ORI	R2, R0, 97
SB	R2, 8(R3)
ORI	R2, R0, 110
SB	R2, 9(R3)
ORI	R2, R0, 110
SB	R2, 10(R3)
ORI	R2, R0, 101
SB	R2, 11(R3)
ORI	R2, R0, 108
SB	R2, 12(R3)
SB	R0, 13(R3)
ADDIU	R2, SP, 16
ORI	R27, R0, 125
ORI	R26, R0, 118
MOVZ	R25, R2, R0
JAL	_TFT_Write_Text+0
NOP	
;MSGEQ7_Test.mbas,86 :: 		end sub
L_end_Init_TFT:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 32
JR	RA
NOP	
; end of _Init_TFT
_Init_MSGEQ7:
;MSGEQ7_Test.mbas,90 :: 		dim i as byte
;MSGEQ7_Test.mbas,92 :: 		EQStrobe_Direction = 0                     ' outputs
LUI	R2, BitMask(TRISA3_bit+0)
ORI	R2, R2, BitMask(TRISA3_bit+0)
_SX	8, Offset(TRISA3_bit+4), 4
;MSGEQ7_Test.mbas,93 :: 		EQReset_Direction = 0
LUI	R2, BitMask(TRISA2_bit+0)
ORI	R2, R2, BitMask(TRISA2_bit+0)
_SX	8, Offset(TRISA2_bit+4), 4
;MSGEQ7_Test.mbas,94 :: 		EQDataL_Direction = 1                      ' inputs
LUI	R2, BitMask(TRISB2_bit+0)
ORI	R2, R2, BitMask(TRISB2_bit+0)
_SX	8, Offset(TRISB2_bit+8), 4
;MSGEQ7_Test.mbas,95 :: 		EQDataR_Direction = 1
LUI	R2, BitMask(TRISB3_bit+0)
ORI	R2, R2, BitMask(TRISB3_bit+0)
_SX	8, Offset(TRISB3_bit+8), 4
;MSGEQ7_Test.mbas,97 :: 		for i = 0 to 6                             ' initialize arrays
; i start address is: 16 (R4)
MOVZ	R4, R0, R0
; i end address is: 16 (R4)
L__Init_MSGEQ73:
;MSGEQ7_Test.mbas,98 :: 		bandL[i]=0
; i start address is: 16 (R4)
ANDI	R2, R4, 255
SLL	R3, R2, 1
LUI	R2, #hi_addr(_bandL+0)
ORI	R2, R2, #lo_addr(_bandL+0)
ADDU	R2, R2, R3
SH	R0, 0(R2)
;MSGEQ7_Test.mbas,99 :: 		bandR[i]=0
ANDI	R2, R4, 255
SLL	R3, R2, 1
LUI	R2, #hi_addr(_bandR+0)
ORI	R2, R2, #lo_addr(_bandR+0)
ADDU	R2, R2, R3
SH	R0, 0(R2)
;MSGEQ7_Test.mbas,100 :: 		bandL_old[i]=0
ANDI	R2, R4, 255
SLL	R3, R2, 1
LUI	R2, #hi_addr(_bandL_old+0)
ORI	R2, R2, #lo_addr(_bandL_old+0)
ADDU	R2, R2, R3
SH	R0, 0(R2)
;MSGEQ7_Test.mbas,101 :: 		bandR_old[i]=0
ANDI	R2, R4, 255
SLL	R3, R2, 1
LUI	R2, #hi_addr(_bandR_old+0)
ORI	R2, R2, #lo_addr(_bandR_old+0)
ADDU	R2, R2, R3
SH	R0, 0(R2)
;MSGEQ7_Test.mbas,102 :: 		next i
ANDI	R3, R4, 255
ORI	R2, R0, 6
BNE	R3, R2, L__Init_MSGEQ739
NOP	
J	L__Init_MSGEQ76
NOP	
L__Init_MSGEQ739:
ADDIU	R2, R4, 1
ANDI	R4, R2, 255
; i end address is: 16 (R4)
J	L__Init_MSGEQ73
NOP	
L__Init_MSGEQ76:
;MSGEQ7_Test.mbas,104 :: 		EQReset  = 0                               ' take reset low and strobe high
LUI	R2, BitMask(RA2_bit+0)
ORI	R2, R2, BitMask(RA2_bit+0)
_SX	8, Offset(RA2_bit+4), 4
;MSGEQ7_Test.mbas,105 :: 		EQStrobe = 1
LUI	R2, BitMask(RA3_bit+0)
ORI	R2, R2, BitMask(RA3_bit+0)
_SX	8, Offset(RA3_bit+8), 4
;MSGEQ7_Test.mbas,107 :: 		end sub
L_end_Init_MSGEQ7:
JR	RA
NOP	
; end of _Init_MSGEQ7
_Read_MSGEQ7:
;MSGEQ7_Test.mbas,111 :: 		dim i as byte
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;MSGEQ7_Test.mbas,113 :: 		EQReset = 1                                ' take the reset pin high and then low to start the read sequence
SW	R25, 4(SP)
LUI	R2, BitMask(RA2_bit+0)
ORI	R2, R2, BitMask(RA2_bit+0)
_SX	8, Offset(RA2_bit+8), 4
;MSGEQ7_Test.mbas,114 :: 		delay_us(50)
LUI	R24, 0
ORI	R24, R24, 1332
L__Read_MSGEQ78:
ADDIU	R24, R24, -1
BNE	R24, R0, L__Read_MSGEQ78
NOP	
NOP	
NOP	
;MSGEQ7_Test.mbas,115 :: 		EQReset = 0
LUI	R2, BitMask(RA2_bit+0)
ORI	R2, R2, BitMask(RA2_bit+0)
_SX	8, Offset(RA2_bit+4), 4
;MSGEQ7_Test.mbas,117 :: 		for i = 0 to 6 step 1
; i start address is: 16 (R4)
MOVZ	R4, R0, R0
; i end address is: 16 (R4)
L__Read_MSGEQ711:
;MSGEQ7_Test.mbas,118 :: 		EQStrobe = 0                             ' take strobe line low
; i start address is: 16 (R4)
LUI	R2, BitMask(RA3_bit+0)
ORI	R2, R2, BitMask(RA3_bit+0)
_SX	8, Offset(RA3_bit+4), 4
;MSGEQ7_Test.mbas,119 :: 		delay_us(30)                             ' wait
LUI	R24, 0
ORI	R24, R24, 799
L__Read_MSGEQ715:
ADDIU	R24, R24, -1
BNE	R24, R0, L__Read_MSGEQ715
NOP	
NOP	
;MSGEQ7_Test.mbas,120 :: 		bandL[i] = adc1_Read(2)                  ' read from PB0
ANDI	R2, R4, 255
SLL	R3, R2, 1
LUI	R2, #hi_addr(_bandL+0)
ORI	R2, R2, #lo_addr(_bandL+0)
ADDU	R2, R2, R3
SW	R2, 8(SP)
ORI	R25, R0, 2
JAL	_ADC1_Read+0
NOP	
LW	R3, 8(SP)
SH	R2, 0(R3)
;MSGEQ7_Test.mbas,121 :: 		bandR[i] = adc1_Read(3)                  ' read from PB1
ANDI	R2, R4, 255
SLL	R3, R2, 1
LUI	R2, #hi_addr(_bandR+0)
ORI	R2, R2, #lo_addr(_bandR+0)
ADDU	R2, R2, R3
SW	R2, 8(SP)
ORI	R25, R0, 3
JAL	_ADC1_Read+0
NOP	
LW	R3, 8(SP)
SH	R2, 0(R3)
;MSGEQ7_Test.mbas,122 :: 		EQStrobe = 1                             ' take strobe line high
LUI	R2, BitMask(RA3_bit+0)
ORI	R2, R2, BitMask(RA3_bit+0)
_SX	8, Offset(RA3_bit+8), 4
;MSGEQ7_Test.mbas,123 :: 		next i
ANDI	R3, R4, 255
ORI	R2, R0, 6
BNE	R3, R2, L__Read_MSGEQ742
NOP	
J	L__Read_MSGEQ714
NOP	
L__Read_MSGEQ742:
ADDIU	R2, R4, 1
ANDI	R4, R2, 255
; i end address is: 16 (R4)
J	L__Read_MSGEQ711
NOP	
L__Read_MSGEQ714:
;MSGEQ7_Test.mbas,125 :: 		end sub
L_end_Read_MSGEQ7:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _Read_MSGEQ7
_Create_Left_BG:
;MSGEQ7_Test.mbas,127 :: 		sub program Create_Left_BG(dim band_number as byte)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;MSGEQ7_Test.mbas,130 :: 		if(bandL_old[band_number] > bandL[band_number])then
SW	R26, 4(SP)
SW	R27, 8(SP)
SW	R28, 12(SP)
ANDI	R2, R25, 255
SLL	R4, R2, 1
LUI	R2, #hi_addr(_bandL_old+0)
ORI	R2, R2, #lo_addr(_bandL_old+0)
ADDU	R3, R2, R4
LUI	R2, #hi_addr(_bandL+0)
ORI	R2, R2, #lo_addr(_bandL+0)
ADDU	R2, R2, R4
LH	R4, 0(R2)
LH	R2, 0(R3)
SEH	R3, R2
SEH	R2, R4
SLT	R2, R2, R3
BNE	R2, R0, L__Create_Left_BG44
NOP	
J	L__Create_Left_BG19
NOP	
L__Create_Left_BG44:
;MSGEQ7_Test.mbas,131 :: 		TFT_Set_Brush(1,CL_BLUE,0,0,0,0)
SB	R25, 16(SP)
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 31
ORI	R25, R0, 1
ADDIU	SP, SP, -4
SH	R0, 2(SP)
SH	R0, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;MSGEQ7_Test.mbas,132 :: 		TFT_Set_Pen(CL_BLUE,0)
MOVZ	R26, R0, R0
ORI	R25, R0, 31
JAL	_TFT_Set_Pen+0
NOP	
LBU	R25, 16(SP)
;MSGEQ7_Test.mbas,133 :: 		TFT_Rectangle(band_number * bar_width + left_offset, left_BG_base -(bandL_old[band_number] / bar_height_scale), ((band_number+1) * bar_width) - 1 + left_offset, left_BG_base -(bandL[band_number] / bar_height_scale))
ANDI	R3, R25, 255
ORI	R2, R0, 45
MULTU	R3, R2
MFLO	R2
ADDIU	R7, R2, 3
ANDI	R2, R25, 255
SLL	R6, R2, 1
LUI	R2, #hi_addr(_bandL_old+0)
ORI	R2, R2, #lo_addr(_bandL_old+0)
ADDU	R2, R2, R6
LH	R2, 0(R2)
SEH	R2, R2
SRA	R3, R2, 2
ORI	R2, R0, 119
SUBU	R5, R2, R3
ANDI	R2, R25, 255
ADDIU	R3, R2, 1
ORI	R2, R0, 45
MULTU	R3, R2
MFLO	R2
ADDIU	R2, R2, -1
ADDIU	R4, R2, 3
LUI	R2, #hi_addr(_bandL+0)
ORI	R2, R2, #lo_addr(_bandL+0)
ADDU	R2, R2, R6
LH	R2, 0(R2)
SEH	R2, R2
SRA	R3, R2, 2
ORI	R2, R0, 119
SUBU	R2, R2, R3
SB	R25, 16(SP)
SEH	R28, R2
ANDI	R27, R4, 65535
SEH	R26, R5
ANDI	R25, R7, 65535
JAL	_TFT_Rectangle+0
NOP	
LBU	R25, 16(SP)
L__Create_Left_BG19:
;MSGEQ7_Test.mbas,137 :: 		TFT_Set_Brush(1,CL_LIME,0,0,0,0)
SB	R25, 16(SP)
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 2016
ORI	R25, R0, 1
ADDIU	SP, SP, -4
SH	R0, 2(SP)
SH	R0, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;MSGEQ7_Test.mbas,138 :: 		TFT_Set_Pen(CL_LIME,0)
MOVZ	R26, R0, R0
ORI	R25, R0, 2016
JAL	_TFT_Set_Pen+0
NOP	
LBU	R25, 16(SP)
;MSGEQ7_Test.mbas,139 :: 		TFT_Rectangle(band_number * bar_width + left_offset, left_BG_base -(bandL[band_number] / bar_height_scale), ((band_number+1) * bar_width) - 1 + left_offset, left_BG_base)
ANDI	R3, R25, 255
ORI	R2, R0, 45
MULTU	R3, R2
MFLO	R2
ADDIU	R5, R2, 3
ANDI	R2, R25, 255
SLL	R3, R2, 1
LUI	R2, #hi_addr(_bandL+0)
ORI	R2, R2, #lo_addr(_bandL+0)
ADDU	R2, R2, R3
LH	R2, 0(R2)
SEH	R2, R2
SRA	R3, R2, 2
ORI	R2, R0, 119
SUBU	R4, R2, R3
ANDI	R2, R25, 255
ADDIU	R3, R2, 1
ORI	R2, R0, 45
MULTU	R3, R2
MFLO	R2
ADDIU	R2, R2, -1
ADDIU	R2, R2, 3
SB	R25, 16(SP)
ORI	R28, R0, 119
ANDI	R27, R2, 65535
SEH	R26, R4
ANDI	R25, R5, 65535
JAL	_TFT_Rectangle+0
NOP	
LBU	R25, 16(SP)
;MSGEQ7_Test.mbas,142 :: 		bandL_old[band_number] = bandL[band_number]' save old band level
ANDI	R2, R25, 255
SLL	R4, R2, 1
LUI	R2, #hi_addr(_bandL_old+0)
ORI	R2, R2, #lo_addr(_bandL_old+0)
ADDU	R3, R2, R4
LUI	R2, #hi_addr(_bandL+0)
ORI	R2, R2, #lo_addr(_bandL+0)
ADDU	R2, R2, R4
LH	R2, 0(R2)
SH	R2, 0(R3)
;MSGEQ7_Test.mbas,144 :: 		end sub
L_end_Create_Left_BG:
LW	R28, 12(SP)
LW	R27, 8(SP)
LW	R26, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _Create_Left_BG
_Create_Right_BG:
;MSGEQ7_Test.mbas,146 :: 		sub program Create_Right_BG(dim bar_number as byte)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;MSGEQ7_Test.mbas,149 :: 		if(bandR_old[bar_number] > bandR[bar_number]) then
SW	R26, 4(SP)
SW	R27, 8(SP)
SW	R28, 12(SP)
ANDI	R2, R25, 255
SLL	R4, R2, 1
LUI	R2, #hi_addr(_bandR_old+0)
ORI	R2, R2, #lo_addr(_bandR_old+0)
ADDU	R3, R2, R4
LUI	R2, #hi_addr(_bandR+0)
ORI	R2, R2, #lo_addr(_bandR+0)
ADDU	R2, R2, R4
LH	R4, 0(R2)
LH	R2, 0(R3)
SEH	R3, R2
SEH	R2, R4
SLT	R2, R2, R3
BNE	R2, R0, L__Create_Right_BG46
NOP	
J	L__Create_Right_BG23
NOP	
L__Create_Right_BG46:
;MSGEQ7_Test.mbas,150 :: 		TFT_Set_Brush(1,CL_BLUE,0,0,0,0)
SB	R25, 16(SP)
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 31
ORI	R25, R0, 1
ADDIU	SP, SP, -4
SH	R0, 2(SP)
SH	R0, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;MSGEQ7_Test.mbas,151 :: 		TFT_Set_Pen(CL_BLUE,0)
MOVZ	R26, R0, R0
ORI	R25, R0, 31
JAL	_TFT_Set_Pen+0
NOP	
LBU	R25, 16(SP)
;MSGEQ7_Test.mbas,152 :: 		TFT_Rectangle(bar_number * bar_width + left_offset, right_BG_base - (bandR_old[bar_number] / bar_height_scale), ((bar_number+1) * bar_width) - 1 + left_offset, right_BG_base - (bandR[bar_number] / bar_height_scale))
ANDI	R3, R25, 255
ORI	R2, R0, 45
MULTU	R3, R2
MFLO	R2
ADDIU	R7, R2, 3
ANDI	R2, R25, 255
SLL	R6, R2, 1
LUI	R2, #hi_addr(_bandR_old+0)
ORI	R2, R2, #lo_addr(_bandR_old+0)
ADDU	R2, R2, R6
LH	R2, 0(R2)
SEH	R2, R2
SRA	R3, R2, 2
ORI	R2, R0, 239
SUBU	R5, R2, R3
ANDI	R2, R25, 255
ADDIU	R3, R2, 1
ORI	R2, R0, 45
MULTU	R3, R2
MFLO	R2
ADDIU	R2, R2, -1
ADDIU	R4, R2, 3
LUI	R2, #hi_addr(_bandR+0)
ORI	R2, R2, #lo_addr(_bandR+0)
ADDU	R2, R2, R6
LH	R2, 0(R2)
SEH	R2, R2
SRA	R3, R2, 2
ORI	R2, R0, 239
SUBU	R2, R2, R3
SB	R25, 16(SP)
SEH	R28, R2
ANDI	R27, R4, 65535
SEH	R26, R5
ANDI	R25, R7, 65535
JAL	_TFT_Rectangle+0
NOP	
LBU	R25, 16(SP)
L__Create_Right_BG23:
;MSGEQ7_Test.mbas,156 :: 		TFT_Set_Brush(1,CL_FUCHSIA,0,0,0,0)
SB	R25, 16(SP)
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 63519
ORI	R25, R0, 1
ADDIU	SP, SP, -4
SH	R0, 2(SP)
SH	R0, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;MSGEQ7_Test.mbas,157 :: 		TFT_Set_Pen(CL_FUCHSIA,0)
MOVZ	R26, R0, R0
ORI	R25, R0, 63519
JAL	_TFT_Set_Pen+0
NOP	
LBU	R25, 16(SP)
;MSGEQ7_Test.mbas,158 :: 		TFT_Rectangle(bar_number * bar_width + left_offset, right_BG_base - (bandR[bar_number] / bar_height_scale), ((bar_number+1) * bar_width) - 1 + left_offset, right_BG_base)
ANDI	R3, R25, 255
ORI	R2, R0, 45
MULTU	R3, R2
MFLO	R2
ADDIU	R5, R2, 3
ANDI	R2, R25, 255
SLL	R3, R2, 1
LUI	R2, #hi_addr(_bandR+0)
ORI	R2, R2, #lo_addr(_bandR+0)
ADDU	R2, R2, R3
LH	R2, 0(R2)
SEH	R2, R2
SRA	R3, R2, 2
ORI	R2, R0, 239
SUBU	R4, R2, R3
ANDI	R2, R25, 255
ADDIU	R3, R2, 1
ORI	R2, R0, 45
MULTU	R3, R2
MFLO	R2
ADDIU	R2, R2, -1
ADDIU	R2, R2, 3
SB	R25, 16(SP)
ORI	R28, R0, 239
ANDI	R27, R2, 65535
SEH	R26, R4
ANDI	R25, R5, 65535
JAL	_TFT_Rectangle+0
NOP	
LBU	R25, 16(SP)
;MSGEQ7_Test.mbas,161 :: 		bandR_old[bar_number] = bandR[bar_number]
ANDI	R2, R25, 255
SLL	R4, R2, 1
LUI	R2, #hi_addr(_bandR_old+0)
ORI	R2, R2, #lo_addr(_bandR_old+0)
ADDU	R3, R2, R4
LUI	R2, #hi_addr(_bandR+0)
ORI	R2, R2, #lo_addr(_bandR+0)
ADDU	R2, R2, R4
LH	R2, 0(R2)
SH	R2, 0(R3)
;MSGEQ7_Test.mbas,163 :: 		end sub
L_end_Create_Right_BG:
LW	R28, 12(SP)
LW	R27, 8(SP)
LW	R26, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _Create_Right_BG
_main:
;MSGEQ7_Test.mbas,167 :: 		dim i as byte
ADDIU	SP, SP, -4
;MSGEQ7_Test.mbas,169 :: 		AD1PCFG = 0xFFFF                           ' configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;MSGEQ7_Test.mbas,170 :: 		JTAGEN_bit = 0                             ' disable JTAG
_LX	, 4
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	8, Offset(JTAGEN_bit+0), 4
;MSGEQ7_Test.mbas,172 :: 		Init_MSGEQ7()
JAL	_Init_MSGEQ7+0
NOP	
;MSGEQ7_Test.mbas,173 :: 		Init_TFT()
JAL	_Init_TFT+0
NOP	
;MSGEQ7_Test.mbas,175 :: 		while TRUE
L__main27:
;MSGEQ7_Test.mbas,176 :: 		read_MSGEQ7()
JAL	_Read_MSGEQ7+0
NOP	
;MSGEQ7_Test.mbas,177 :: 		for i = 0 to 6                           ' display 7 bands on each channel
SB	R0, 0(SP)
L__main32:
;MSGEQ7_Test.mbas,178 :: 		Create_Left_BG(i)
LBU	R25, 0(SP)
JAL	_Create_Left_BG+0
NOP	
;MSGEQ7_Test.mbas,179 :: 		Create_Right_BG(i)
LBU	R25, 0(SP)
JAL	_Create_Right_BG+0
NOP	
;MSGEQ7_Test.mbas,180 :: 		next i
LBU	R3, 0(SP)
ORI	R2, R0, 6
BNE	R3, R2, L__main49
NOP	
J	L__main35
NOP	
L__main49:
LBU	R2, 0(SP)
ADDIU	R2, R2, 1
SB	R2, 0(SP)
J	L__main32
NOP	
L__main35:
;MSGEQ7_Test.mbas,181 :: 		wend
J	L__main27
NOP	
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
